Bug 819113

Summary: abrt-ccpp service not enabled by default on F17
Product: [Fedora] Fedora Reporter: James <theholyettlz>
Component: abrtAssignee: abrt <abrt-devel-list>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: abrt-devel-list, awilliam, dvlasenk, iprikryl, jmoskovc, kklic, mmilata, mtoman, npajkovs, robatino
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: RejectedBlocker AcceptedNTH
Fixed In Version: abrt-2.0.10-3.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-12 12:20:05 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 752653    

Description James 2012-05-04 17:44:13 EDT
Description of problem:
As per the summary: On a F17 system, installed from the live image and brought up to date on 4 May 2012, abrt-ccpp doesn't run by default so crashes are not trapped by Abrt.

Version-Release number of selected component (if applicable):
abrt-2.0.10-1.fc17.x86_64
Comment 1 Jiri Moskovcak 2012-05-10 03:05:26 EDT
This affects even installation from install DVD and both C/C++ and kerneloops plugins are disabled. I'm proposing this as a blocker as it makes ABRT useless.
Comment 2 Adam Williamson 2012-05-10 03:21:05 EDT
please submit a fix ASAP if you can, thanks!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Fedora Update System 2012-05-10 09:15:26 EDT
abrt-2.0.10-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.10-3.fc17
Comment 4 Fedora Update System 2012-05-10 16:42:16 EDT
Package abrt-2.0.10-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.10-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7648/abrt-2.0.10-3.fc17
then log in and leave karma (feedback).
Comment 5 Adam Williamson 2012-05-10 18:16:46 EDT
Looks good, I built a live image with the new abrt, and abrt-ccpp was 'active' in both live and installed systems, I tested it picks up a gedit 'crash'.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Adam Williamson 2012-05-10 22:58:19 EDT
I'm -1 blocker +1 NTH on this one; it sucks to lose crash reports from the live image, but I don't think it's a release blocking issue. Definitely would like to pull in the fix though. (voting in advance as I won't be at the blocker review meeting).



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Adam Williamson 2012-05-11 20:38:10 EDT
Discussed at 2012-05-11 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-05-11/f17-final-blocker-review-meeting-5.2012-05-11-17.04.html . Rejected as a blocker, there are no criteria requiring abrt to work, and it could mostly be fixed with an update. However, accepted as NTH, as if this is left broken we would lose all crash reports from the live images.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Fedora Update System 2012-05-12 12:20:05 EDT
abrt-2.0.10-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.